This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 121156 - Kernel oops
Kernel oops
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-18 04:31 EDT by Laurent GUERBY
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-02 20:28:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Laurent GUERBY 2004-04-18 04:31:16 EDT
Description of problem:
Kernel oops and machine freeze after about five weeks of uptime.
The same machine reached more than 120 days of uptime
with 2.4.22-1.2115.nptl.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2129.nptl

How reproducible:
unknown

Steps to Reproduce:
unknown
  
Actual results:
machine freeze

Expected results:
no freeze

Additional info:
It's likely that the machine was doing a big tar.gz 
when it crashed, I found a partially done backup this
morning.

Please ask if you feel more information would be useful.

[root@pc log]# rpm -q glibc
glibc-2.3.2-101.1
[root@pc log]# lspci
00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different
version?) (rev c1)
00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1
(rev c1)
00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4
(rev c1)
00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3
(rev c1)
00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2
(rev c1)
00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5
(rev c1)
00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a4)
00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet
Controller (rev a1)
00:05.0 Multimedia audio controller: nVidia Corporation nForce
MultiMedia audio [Via VT82C686B] (rev a2)
00:06.0 Multimedia audio controller: nVidia Corporation nForce2 AC97
Audio Controler (MCP) (rev a1)
00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge
(rev a3)
00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)
00:0c.0 PCI bridge: nVidia Corporation nForce2 PCI Bridge (rev a3)
00:0d.0 FireWire (IEEE 1394): nVidia Corporation nForce2 FireWire
(IEEE 1394) Controller (rev a3)
00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev c1)
02:01.0 Ethernet controller: 3Com Corporation 3C920B-EMB Integrated
Fast Ethernet Controller (rev 40)
03:00.0 VGA compatible controller: ATI Technologies Inc RV350 AP
[Radeon 9600]
03:00.1 Display controller: ATI Technologies Inc RV350 AP [Radeon
9600] (Secondary)


/var/log/messages
Apr 18 04:04:30 pc syslogd 1.4.1: restart.
Apr 18 04:08:04 pc kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Apr 18 04:08:04 pc kernel:  printing eip:
Apr 18 04:08:04 pc kernel: c013a44a
Apr 18 04:08:04 pc kernel: *pde = 00000000
Apr 18 04:08:04 pc kernel: Oops: 0002
Apr 18 04:08:04 pc kernel: nls_iso8859-1 nls_cp437 vfat fat joydev
snd-pcm-oss snd-mixer-oss snd-intel8x0 snd-ac97-codec snd-pcm
snd-timer gameport snd-page-alloc snd-mpu401-uart snd-ra
Apr 18 04:08:04 pc kernel: CPU:    0
Apr 18 04:08:04 pc kernel: EIP:    0060:[<c013a44a>]    Not tainted
Apr 18 04:08:04 pc kernel: EFLAGS: 00010206
Apr 18 04:08:04 pc kernel: 
Apr 18 04:08:04 pc kernel: EIP is at refill_inactive [kernel] 0x7a
(2.4.22-1.2129.nptl)
Apr 18 04:08:04 pc kernel: eax: 00000000   ebx: c210b984   ecx:
c210b9a0   edx: 00000000
Apr 18 04:08:04 pc kernel: esi: 00000000   edi: 00000012   ebp:
00000002   esp: f3e95da8
Apr 18 04:08:04 pc kernel: ds: 0068   es: 0068   ss: 0068
Apr 18 04:08:04 pc su(pam_unix)[9689]: session opened for user news by
(uid=0)
Apr 18 04:08:04 pc kernel: Process updatedb (pid: 9676,
stackpage=f3e95000)
Apr 18 04:08:04 pc kernel: Stack: 0000000a 000001f0 00000020 00000006
c013a511 00000013 00000000 c033a810 
Apr 18 04:08:04 pc su(pam_unix)[9689]: session closed for user news
Apr 18 04:08:04 pc kernel:        00000006 000001f0 c033a810 00000000
c013a5a6 00000020 f3e94000 00000120 
Apr 18 04:08:04 pc kernel:        c033a810 c013b048 00000000 00000000
c033a97c 00000120 00000010 00000000 
Apr 18 04:08:04 pc kernel: Call Trace:   [<c013a511>] shrink_caches
[kernel] 0x51 (0xf3e95db8)
Apr 18 04:08:04 pc kernel: [<c013a5a6>] try_to_free_pages_zone
[kernel] 0x36 (0xf3e95dd8)
Apr 18 04:08:04 pc kernel: [<c013b048>] balance_classzone [kernel]
0x58 (0xf3e95dec)
Apr 18 04:08:04 pc kernel: [<c013b2c9>] __alloc_pages [kernel] 0xe9
(0xf3e95e08)
Apr 18 04:08:04 pc kernel: [<c013b37c>] __get_free_pages [kernel] 0x1c
(0xf3e95e30)
Apr 18 04:08:04 pc kernel: [<c0139096>] kmem_cache_grow [kernel] 0xa6
(0xf3e95e34)
Apr 18 04:08:04 pc kernel: [<c01392c9>] kmem_cache_alloc [kernel] 0xc9
(0xf3e95e5c)
Apr 18 04:08:04 pc kernel: [<c0157dc6>] alloc_inode [kernel] 0x106
(0xf3e95e78)
Apr 18 04:08:04 pc kernel: [<c0158fbb>] get_new_inode [kernel] 0x1b
(0xf3e95e94)
Apr 18 04:08:04 pc kernel: [<c0159290>] iget4_locked [kernel] 0xe0
(0xf3e95ebc)
Apr 18 04:08:04 pc kernel: [<f8822cfd>] ext3_lookup [ext3] 0x7d
(0xf3e95ee4)
Apr 18 04:08:04 pc kernel: [<c014d857>] real_lookup [kernel] 0xc7
(0xf3e95f08)
Apr 18 04:08:04 pc kernel: [<c014e0b3>] link_path_walk [kernel] 0x703
(0xf3e95f24)
Apr 18 04:08:04 pc kernel: [<c014e509>] path_lookup [kernel] 0x39
(0xf3e95f60)
Apr 18 04:08:04 pc kernel: [<c014e799>] __user_walk [kernel] 0x49
(0xf3e95f70)
Apr 18 04:08:04 pc kernel: [<c014a7cf>] sys_lstat64 [kernel] 0x1f
(0xf3e95f8c)
Apr 18 04:08:04 pc kernel: [<c01095f7>] system_call [kernel] 0x33
(0xf3e95fc0)
Apr 18 04:08:04 pc kernel: 
Apr 18 04:08:04 pc kernel: 
Apr 18 04:08:04 pc kernel: Code: 89 50 04 89 02 c7 41 04 00 00 00 00
c7 43 1c 00 00 00 00 b8 
Apr 18 04:08:04 pc kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Apr 18 04:08:04 pc kernel:  printing eip:
Apr 18 04:08:04 pc kernel: c013a44a
Apr 18 04:08:04 pc kernel: *pde = 1327a067
Apr 18 04:08:04 pc kernel: *pte = 00000000
Apr 18 04:08:04 pc kernel: Oops: 0002
Apr 18 04:08:04 pc kernel: nls_iso8859-1 nls_cp437 vfat fat joydev
snd-pcm-oss snd-mixer-oss snd-intel8x0 snd-ac97-codec snd-pcm
snd-timer gameport snd-page-alloc snd-mpu401-uart snd-ra
Apr 18 04:08:04 pc kernel: CPU:    0
Apr 18 04:08:04 pc kernel: EIP:    0060:[<c013a44a>]    Not tainted
Apr 18 04:08:04 pc kernel: EFLAGS: 00010206
Apr 18 04:08:04 pc kernel: 
Apr 18 04:08:04 pc kernel: EIP is at refill_inactive [kernel] 0x7a
(2.4.22-1.2129.nptl)
Apr 18 04:08:04 pc kernel: eax: 00000000   ebx: c210b984   ecx:
c210b9a0   edx: 00000000
Apr 18 04:08:04 pc kernel: esi: 00000000   edi: 00000012   ebp:
00000002   esp: f36bfc8c
Apr 18 04:08:04 pc kernel: ds: 0068   es: 0068   ss: 0068
Apr 18 04:08:04 pc kernel: Process slrnpull (pid: 9691,
stackpage=f36bf000)
Apr 18 04:08:04 pc kernel: Stack: 0000001f 00000070 00000020 00000006
c013a511 00000013 c01630e8 c033a810 
Apr 18 04:08:04 pc kernel:        00000006 00000070 c033a810 00000000
c013a5a6 00000020 f36be000 00000120 
Apr 18 04:08:04 pc kernel:        c033a810 c013b048 00000000 00000000
c033a97c 00000120 00000010 00000000 
Apr 18 04:08:04 pc kernel: Call Trace:   [<c013a511>] shrink_caches
[kernel] 0x51 (0xf36bfc9c)
Apr 18 04:08:04 pc kernel: [<c01630e8>] padzero [kernel] 0x28 (0xf36bfca4)
Apr 18 04:08:04 pc kernel: [<c013a5a6>] try_to_free_pages_zone
[kernel] 0x36 (0xf36bfcbc)
Apr 18 04:08:04 pc kernel: [<c013b048>] balance_classzone [kernel]
0x58 (0xf36bfcd0)
Apr 18 04:08:04 pc kernel: [<c013b2c9>] __alloc_pages [kernel] 0xe9
(0xf36bfcec)
Apr 18 04:08:04 pc kernel: [<c0140a73>] alloc_bounce_page [kernel]
0x13 (0xf36bfd14)
Apr 18 04:08:04 pc kernel: [<c0140bd8>] create_bounce [kernel] 0x48
(0xf36bfd20)
Apr 18 04:08:04 pc kernel: [<c01b8ad5>] __make_request [kernel] 0x7a5
(0xf36bfd40)
Apr 18 04:08:04 pc kernel: [<f881f491>] ext3_get_block_handle [ext3]
0x201 (0xf36bfd54)
Apr 18 04:08:04 pc kernel: [<c01b8bbe>] generic_make_request [kernel]
0xde (0xf36bfd98)
Apr 18 04:08:04 pc kernel: [<c0144f2f>] get_unused_buffer_head
[kernel] 0x3f (0xf36bfda8)
Apr 18 04:08:04 pc kernel: [<c01b8c7b>] submit_bh [kernel] 0x5b
(0xf36bfdc4)
Apr 18 04:08:04 pc kernel: [<c0145ae3>] block_read_full_page [kernel]
0x203 (0xf36bfdec)
Apr 18 04:08:04 pc kernel: [<c013b221>] __alloc_pages [kernel] 0x41
(0xf36bfe1c)
Apr 18 04:08:04 pc kernel: [<c0132be5>] add_to_page_cache_unique
[kernel] 0x45 (0xf36bfe30)
Apr 18 04:08:04 pc kernel: [<c0132d0e>] page_cache_read [kernel] 0xbe
(0xf36bfe44)
Apr 18 04:08:04 pc kernel: [<f881f540>] ext3_get_block [ext3] 0x0
(0xf36bfe4c)
Apr 18 04:08:04 pc kernel: [<c0132d66>] read_cluster_nonblocking
[kernel] 0x36 (0xf36bfe6c)
Apr 18 04:08:04 pc kernel: [<c0134657>] filemap_nopage [kernel] 0x107
(0xf36bfe80)
Apr 18 09:48:46 pc syslogd 1.4.1: restart.
Apr 18 09:48:46 pc syslog: syslogd startup succeeded
Apr 18 09:48:46 pc kernel: klogd 1.4.1, log source = /proc/kmsg started.
Apr 18 09:48:46 pc kernel: Linux version 2.4.22-1.2129.nptl
(bhcompile@daffy.perf.redhat.com) (gcc version 3.2.3 20030422 (Red Hat
Linux 3.2.3-6)) #1 Mon Dec 1 08:46:47 EST 2003
Comment 1 Laurent GUERBY 2004-04-18 04:32:20 EDT
Please replace "five weeks" by "five days"
Comment 2 Arjan van de Ven 2004-04-18 04:33:09 EDT
does this happen without the third party alsa modules as well ?
Comment 3 Laurent GUERBY 2004-04-18 05:01:00 EDT
Hmmm I didn't remember those modules, I installed them with the previous
kernel on 20031204. Another thing that changed on the machine is that
I went to 1.5GB of RAM instead of 512MB.

Probably not worth pursuing this issue, I'll install FC2t3 in a few
days now (or at least trying with hope of more success than FC2t2 :)
to experience all those new 2.6 bugs :).

Thanks for your time and sorry for the partial report,

Laurent
Comment 4 Dave Jones 2004-04-18 17:42:23 EDT
there were also a lot of subsequent vm fixes in later errata kernels.
its very possible this problem was fixed. (You should update anyway,
as many security issues were also fixed).

Note You need to log in before you can comment on or make changes to this bug.